List all transactions

Retrieve a paginated list of all transactions across all accounts. Supports advanced filtering by date ranges, status, categories, and cursor-based pagination.

Query Params
status
array of strings
status
string

Search term to look for in transaction descriptions.

string

Earliest createdAt date to filter for. If not provided, it defaults to the date of your first transaction. Format: YYYY-MM-DD or an ISO 8601 string. Please note that your Mercury transactions on your Dashboard might have their postedAt date displayed, as opposed to createdAt

string

Latest createdAt date to filter for. If it’s not provided, it defaults to current day. Format: YYYY-MM-DD or an ISO 8601 string. Please note that your Mercury transactions on your Dashboard might have their postedAt date displayed, as opposed to createdAt

string

Earliest postedAt date to filter for. Format: YYYY-MM-DD or an ISO 8601 string

string

Latest postedAt date to filter for. Format: YYYY-MM-DD or an ISO 8601 string

accountId
array of uuids
accountId
string

Name of mercuryCategory you want to filter on. Merchant Type in the UI.

string

UUID of a custom category. Can be returned from /categories endpoint.

string

The ID of the resource to start the page at (inclusive). When provided, results will begin with and include the resource with this ID. Use this to retrieve a specific page when you know the exact starting point. Cannot be combined with start_after or end_before.

uuid

The ID of the transaction to start the page after (exclusive). When provided, results will begin with the transaction immediately following this ID. Use this for standard forward pagination to get the next page of results. Cannot be combined with end_before.

uuid

The ID of the transaction to end the page before (exclusive). When provided, results will end just before this ID and work backwards. Use this for reverse pagination or to retrieve previous pages. Cannot be combined with start_after.

int64
1 to 1000
Defaults to 1000

Maximum number of results to return. Allowed range: 1 to 1000. Defaults to 1000

string
enum
Defaults to asc

Sort order. Can be 'asc' or 'desc'. Defaults to 'asc'

Allowed:
Responses

400

Invalid order or limit or end_before or start_after or start_at or categoryId or mercuryCategory or accountId or postedEnd or postedStart or end or start or search or status

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json